package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@ApiModel("密码登录参数")
@Data
public class LoginPasswordDto implements Serializable {
    /**
     * 手机号或邮箱
     */
    @NotNull
    @ApiModelProperty("手机号或邮箱")
    private String mobileOrEmail;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("密码")
    private String password;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
}
